### Function

# Ide PtyInterceptCallback

#### Declaration

    void
    (* IdePtyInterceptCallback) (
      const IdePtyIntercept* intercept,
      const IdePtyInterceptSide* side,
      const guint8* data,
      gsize len,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`intercept` | `IdePtyIntercept`
| No description available.
| The data is owned by the caller of the function.
`side` | `IdePtyInterceptSide`
| No description available.
| The data is owned by the caller of the function.
`data` | `const guint8*`
| No description available.
| The data is owned by the caller of the function.
`len` | `gsize`
| No description available.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.